From cb63256ae2e5fde7a67d7740bb2f4a0eab538a2d Mon Sep 17 00:00:00 2001
From: Samy Al Bahra <sbahra@backtrace.io>
Date: Thu, 9 Apr 2020 20:08:40 -0400
Subject: [PATCH] build: allow GZIP to be set to empty string in configure.

---
 configure | 25 +++++++++++++++----------
 1 file changed, 15 insertions(+), 10 deletions(-)

diff --git a/configure b/configure
index 2cbdbef3..ed188f96 100755
--- a/configure
+++ b/configure
@@ -325,7 +325,7 @@ done
 HEADERS=${HEADERS:-"${PREFIX}/include"}
 LIBRARY=${LIBRARY:-"${PREFIX}/lib"}
 MANDIR=${MANDIR:-"${PREFIX}/share/man"}
-GZIP=${GZIP:-"gzip -c"}
+GZIP=${GZIP-"gzip -c"}
 POINTER_PACK_ENABLE=${POINTER_PACK_ENABLE:-"CK_MD_POINTER_PACK_DISABLE"}
 DISABLE_DOUBLE=${DISABLE_DOUBLE:-"CK_PR_ENABLE_DOUBLE"}
 PPC32_LWSYNC_ENABLE=${PPC32_LWSYNC_ENABLE:-"CK_MD_PPC32_LWSYNC_DISABLE"}
@@ -583,21 +583,26 @@ else
 	echo "success [$BUILD_DIR]"
 fi
 
-printf "Finding gzip tool................"
-GZIP=`pathsearch "${GZIP:-gzip}"`
-if test -z "$GZIP" -o ! -x "$GZIP"; then
+if test -n "$GZIP"; then
+	printf "Finding gzip tool................"
 	GZIP=`pathsearch "${GZIP:-gzip}"`
-	GZIP="$GZIP"
+	if test -z "$GZIP" -o ! -x "$GZIP"; then
+		GZIP=`pathsearch "${GZIP:-gzip}"`
+		GZIP="$GZIP"
+	fi
+
+	if test -z "$GZIP"; then
+		echo "not found"
+	else
+		echo "success [$GZIP]"
+		GZIP="$GZIP -c"
+		GZIP_SUFFIX=".gz"
+	fi
 fi
 
 if test -z "$GZIP"; then
-	echo "not found"
 	GZIP=cat
 	GZIP_SUFFIX=""
-else
-	echo "success [$GZIP]"
-	GZIP="$GZIP -c"
-	GZIP_SUFFIX=".gz"
 fi
 
 printf "Finding suitable compiler........"
